%global sum     Flukz is an editor and player of shoot'em up video games

Name:           flukz
Version:        0.4
Release:        %mkrel 9
Summary:        %{sum}
Group:          Games/Arcade
License:        GPLv2+
URL:            https://flukz.org/wiki/doku.php?id=flukz
Source0:        https://download.tuxfamily.org/flukz/%{name}%{version}.tar.gz
Patch1:         flukz-0.4-gcc7.patch

BuildRequires:  icoutils
BuildRequires:  qt4-devel
Requires:       pulseaudio

%description
Flukz is an editor of shoot'em up video games. Game levels can be created,
edited and saved online using a wiki interface, without particular need of
programmation skills. The created games are available online to all users.

%prep
%setup -q -n %{name}%{version}
%autopatch -p1

%build
%qmake_qt4
%make_build

%install
# Install binary
mkdir -p %{buildroot}%{_gamesbindir}
install -m 755 bin/%{name} %{buildroot}%{_gamesbindir}

# Extract and install icon
for size in 16 32 48; do
  install -d %{buildroot}%{_iconsdir}/hicolor/${size}x${size}/apps/
  icotool -x --width=${size} images/flukz.ico -o %{buildroot}%{_iconsdir}/hicolor/${size}x${size}/apps/%{name}.png
done

# Mageia menu entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Flukz
Comment=%{sum}
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;ArcadeGame;
EOF

%files
%doc Changelog.txt License.txt
%{_datadir}/applications/%{name}.desktop
%{_gamesbindir}/%{name}
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Sun Apr 03 2022 umeabot <umeabot> 0.4-9.mga9
+ Revision: 1841392
- Mageia 9 Mass Rebuild

* Wed Apr 15 2020 danf <danf> 0.4-8.mga8
+ Revision: 1567573
- Fix Comment= in .desktop file to stop referring to debug sources

* Thu Feb 13 2020 umeabot <umeabot> 0.4-7.mga8
+ Revision: 1512317
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.4-6.mga7
+ Revision: 1297731
- Mageia 7 Mass Rebuild

* Fri Sep 29 2017 cjw <cjw> 0.4-5.mga7
+ Revision: 1161558
- patch1: fix build with gcc 7

* Sun Jan 31 2016 umeabot <umeabot> 0.4-4.mga6
+ Revision: 929527
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.4-3.mga5
+ Revision: 743450
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4-2.mga5
+ Revision: 679244
- Mageia 5 Mass Rebuild

* Thu May 01 2014 akien <akien> 0.4-1.mga5
+ Revision: 619363
- imported package flukz

